<?php

/*
 * Copyright (C) xgcms.com
 */

class forum_temp extends base_model {
	function __construct(&$conf) {
		parent::__construct($conf);
		$this->table = 'forum_temp';
		$this->primarykey = array('fid');
		$this->maxcol = 'fid';
	}
		// 
	public function get_forum_list() {
		$list = $this->index_fetch(array(), array('dateline'=>1), 0, 1000);
		if(!empty($list)){
			foreach($list as $k=>$v){
			    $list[$k]['dateline']=date('m-d H:i',$v['dateline']);	
			}
		}
		return $list;
	}
	public function _delete($fid) {
		$return = $this->delete($fid);
		if($return) {
			$this->count('-1');
		}
		return $return;
	}
	
}

?>